Bug 121805 - [heapwalker] toggling toolbar buttons works wrong
[heapwalker] toggling toolbar buttons works wrong
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: Jiri Sedlacek
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 13:37 UTC by Maksim Khramov
Modified: 2009-03-25 14:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Issue screenshot (107.16 KB, image/png)
2007-11-13 13:39 UTC, Maksim Khramov
Details
Screenshot from Solaris Express (142.89 KB, image/png)
2007-12-07 16:39 UTC, Alexander Kouznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maksim Khramov 2007-11-13 13:37:42 UTC
Netbeans RC1 build 200711121200
Java 1.6.0_03
Ubuntu 7.10 Linux version 2.6.22-14-generic

Steps to reproduce:
Create new or open existed heap snapshot.
There are 5 buttons in heapwalker toolbar. (navigate forward/back, Summary, Classes, Instances)
Switch to Classes view and back.
The Classes view buttons are still visible on toolbar.
See screenshot in attachment
Comment 1 Maksim Khramov 2007-11-13 13:39:20 UTC
Created attachment 52922 [details]
Issue screenshot
Comment 2 Alexander Kouznetsov 2007-12-07 16:35:19 UTC
Reproduced also with Solaris Express (snv_79):

Product Version: NetBeans IDE 6.0 (Build 200711261600)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: SunOS version 5.11 running on x86; ISO646-US; en (nb)
Comment 3 Alexander Kouznetsov 2007-12-07 16:39:13 UTC
Created attachment 54002 [details]
Screenshot from Solaris Express
Comment 4 J Bachorik 2008-03-29 11:45:38 UTC
changing milestone
Comment 5 Jiri Sedlacek 2008-08-26 11:51:15 UTC
Fixed for 6.5.


changeset:   97773:1bc948919ae5
date:        Tue Aug 26 12:47:10 2008 +0200
summary:     Bugfix #121805 Fixed HeapWalker toolbar on Synth-based LaFs
Comment 6 Quality Engineering 2008-09-01 17:33:33 UTC
Integrated into 'main-golden', available in build *200809011401* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/1bc948919ae5
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #121805 Fixed HeapWalker toolbar on Synth-based LaFs
Comment 7 Ivan Sidorkin 2009-03-25 14:10:12 UTC
verified with NetBeans IDE Dev (Build 200903231401)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo